Subject: Re: Remove WIN32 conditional compilation from win32common.c

From: Heikki Linnakangas <[email-masked]>
Date: Mon, 12 Feb 2024 11:58:24 +0200

On 05/12/2023 20:37, Tristan Partin wrote:
> The file is only referenced in Meson and MSVC scripts from what I can
> tell, and the Meson reference is protected by a Windows check.

There are a bunch of files like win32common.c:

$ ls src/port/win32*.c
src/port/win32common.c
src/port/win32dlopen.c
src/port/win32env.c
src/port/win32error.c
src/port/win32fdatasync.c
src/port/win32fseek.c
src/port/win32gai_strerror.c
src/port/win32getrusage.c
src/port/win32gettimeofday.c
src/port/win32link.c
src/port/win32ntdll.c
src/port/win32pread.c
src/port/win32pwrite.c
src/port/win32security.c
src/port/win32setlocale.c
src/port/win32stat.c

Of these, win32stat.c and win32fseek.c also contain "#ifdef WIN32", but 
others don't. So I concur that the most common pattern in these files is 
to not use #ifdef WIN32, and +1 for making them consistent.

I removed those from win32stat.c and win32fseek.c, too, and committed. 
Thanks!

-- 
Heikki Linnakangas
Neon (https://neon.tech)